%define major 1
%define exslt_major 0
%define libname %mklibname xslt %{major}
%define libename %mklibname exslt %{exslt_major}
%define develname %mklibname xslt -d

Name: libxslt
Version: 1.1.28
Release: 2
Summary: Library providing XSLT support
License: MIT
Group: System/Libraries
URL: http://xmlsoft.org/XSLT/
Source0: ftp://xmlsoft.org/libxslt/libxslt-%{version}.tar.gz
BuildRequires: libxml2-devel
BuildRequires: python-devel >= %{py_ver}
BuildRequires: python-libxml2
BuildRequires: libgcrypt-devel
BuildRequires: libtool

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n xsltproc
Summary: XSLT processor using libxslt
Group: System/Libraries
Obsoletes: libxslt-proc < %{version}-8
Provides: libxslt-proc = %{version}-%{release}

%description -n xsltproc
This package provides an XSLT processor based on the libxslt C library. 
It allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. 

%package -n %{libname}
Summary: Library providing XSLT support
Group: System/Libraries

%description  -n %{libname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. 
A xslt processor based on this library, named xsltproc, is provided by 
the libxslt-proc package.

%package -n %{libename}
Summary: Library providing XSLT support
Group: System/Libraries
Conflicts: %{_lib}xslt1 < 1.1.26-7

%description  -n %{libename}
This package contains the exslt shared library.

%package -n python-%{name}
Summary: Python bindings for the libxslt library
Group: Development/Python
Requires: python >= %{py_ver}
Requires: python-libxml2
Obsoletes: %{name}-python < %{version}-%{release}

%description -n python-%{name}
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse sytlesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.

%package -n %{develname}
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: %{libename} = %{version}-%{release}
Obsoletes: %{mklibname xslt 1 -d} < %{version}-%{release}

%description -n %{develname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. 

%prep
%setup -q

mkdir -p python/examples
cp -a python/tests/*.{py,xml,xsl} python/examples

#needed by patch1 
autoreconf -fi

%build
%configure2_5x \
	--disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove unpackaged files
rm -rf %{buildroot}%{_docdir}/%{name}-%{version} \
	%{buildroot}%{_docdir}/%{name}-python-%{version} \
	%{buildroot}%{py_platsitedir}/*.{la,a}

%multiarch_binaries %{buildroot}%{_bindir}/xslt-config

# cleanup
rm -f %{buildroot}%{_libdir}/*.*a

%files -n xsltproc
%doc AUTHORS NEWS README Copyright FEATURES TODO
%{_bindir}/xsltproc
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libxslt.so.%{major}*

%files -n %{libename}
%{_libdir}/libexslt.so.%{exslt_major}*

%files -n python-%{name}
%doc AUTHORS README Copyright FEATURES python/TODO python/examples python/libxsltclass.txt
%defattr(-, root, root)
%{py_platsitedir}/*.so
%{py_platsitedir}/*.py

%files -n %{develname}
%doc doc/*.html doc/tutorial doc/html
%{_mandir}/man3/*
%{_libdir}/lib*.so
%{_libdir}/*.sh
%{_includedir}/*
%{multiarch_bindir}/xslt-config
%{_bindir}/xslt-config
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*

%changelog
* Fri Jul 11 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.1.28-2
+ Revision: d3bb8f0
- Updated to 1.1.28


